Create PayLater Deal

Submit a bill for PayLater.

Overview

This endpoint processes a partner bill for the Lendica PayLater program. The request body should include the bill details, company details, and partner name. For batch deals with multiple bills for the same customer, a master bill will be the total of all child bills. The child_bills property in the bill object can be used to include multiple child bills under a master bill.
Configuration Options:

  • Disbursement Configuration (pay_partner_platform):
    • If set to true, Lendica will disburse the funds to your platform's bank account instead of the vendor's bank account.
    • The vendor of the bill can be a different party, but funds will be paid to your platform.
  • Repayment Configuration (collect_from_partner_platform):
    • If set to true, Lendica will collect repayments from your platform's bank account instead of from the customer's bank account.
    • Your platform will be responsible for collecting repayments from the customer.
  • Partner as Vendor (partner_is_vendor):
    • If set to true, it indicates that your platform is also the vendor of the bill.
    • In this case, the vendor details are not required in the request body.

Authentication: Include your API key in the Authorization header using the format Api-Key {your_api_key}.

Fetching Deal Status

📘

View the Deal Status API documentation here:

GET Deals

After creating a PayLater deal, you can handle business logic based on the deal's status.

  • API Endpoint: /partner/status/deals (from Lendica's Status API)
  • Data Required: partner_company_uuid and partner_invoice_uuid to identify the customer and bill.

Flow:

  1. API Request: Send a GET request to Lendica's /partner/status/deals endpoint with the partner_company_uuid and partner_invoice_uuid.
  2. Data Retrieval: Lendica responds with the deal details.
  3. Integration Logic: Use this information within your platform to handle the relevant logic.
Body Params
string
required

Type of user submitting the bill. Determines the permissions Lendica will allow. Acceptable values are:

  • "admin": Full permissions to create deals. - "view_only": Limited permissions.
string
required

Name of the partner platform.

string
required

Type of integration. Acceptable values are:

  • "backend": Backend-only integration. - "ibranch": iBranch integration. - "checkout": Checkout integration.
boolean

Indicates whether the payment for the bill should be disbursed to the partner's bank account instead of the vendor's bank account. Set this to true if your platform should receive the disbursed funds.

boolean

Indicates whether the repayment should be collected from the partner's bank account instead of from the customer's bank account. Set this to true if your platform handles the repayments.

boolean

Indicates whether the partner is also the vendor of the bill. Set this to true if your platform is the vendor. If set to true, the vendor details are not required in the request body.

boolean

Indicates whether the bill is a trade credit bill. Set this to true if the bill is a trade credit bill.

string

Used for the "checkout" integration type. URL to redirect to after the user has completed the Lendica flow. If a return URL is not provided, the user will be redirected to the Lendica portal.

bill
object
required

Bill details. The company is the buyer (your customer). The vendor is the company that the customer is paying, unless the partner_is_vendor flag is set to true, in which case the partner is the vendor and the vendor details are not required. For batch deals, include multiple child bills under the child_bills property.
Note: If partner_is_vendor is true, the vendor field is not required.

Responses

Language
Credentials
Header
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json